// ---=== Sky ===--
// q3map_sunExt <red> <green> <blue> <intensity> <degrees> <elevation> <deviance> <samples>
// intensity falls off with angle but not distance 100 is a fairly bright sun
// degree of 0 = from the east, 90 = north, etc.  altitude of 0 = sunrise/set, 90 = noon
// deviance: The number of degrees for the half-shadow. General values up to 2 or 3 are acceptable. 
// The real sun has a solid angle of about half a degree.
// samples: the number of random jitters distributed over the solid arc (~16).
// this sky must be compiled with Q3Map2 2.5.11 or later using -skyfix

textures/ut4_kqn2/kq2_sky1
{
	qer_editorimage env/ut4_kqn2/interstellar_ft.tga
	
	skyparms env/ut4_kqn2/interstellar 128 -
	
	q3map_sunEXT 1 1 1 300 0 90 1 16
//	q3map_lightRGB 0.8 0.8 0.8
	q3map_lightmapFilterRadius 0 8
	q3map_skyLight 70 3
	q3map_globaltexture
//	q3map_lightsubdivide 256
	q3map_backsplash 0 0

	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nodlight

	nopicmip
	nomipmaps
}


// ---=== Ladderclip ===---

textures/ut4_kqn2/kq2_ladderclip
{
	qer_editorimage textures/kittywumpus/kw_ladder.tga
	qer_trans 0.40
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm playerclip
	surfaceparm noimpact
	surfaceparm ladder
	surfaceparm trans
}

// ---=== Glass ===---

textures/ut4_kqn2/kq2_glass_nd
{
	qer_editorimage textures/kittywumpus/kw_glass_nodam.tga
	qer_trans 0.9
	surfaceparm nodamage
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm detail
	cull none
//	q3map_bounce .1

	{
		map textures/ut4_kqn2/glass3.tga
		tcGen environment
		blendFunc add
		rgbGen identity
	}
}

textures/ut4_kqn2/kq2_glass_snd
{
	qer_editorimage textures/kittywumpus/kw_glass_slick.tga
	qer_trans 0.9
	surfaceparm nodamage
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm slick
	surfaceparm detail
	cull none
//	q3map_bounce .1

	{
		map textures/ut4_kqn2/glass3.tga
		tcGen environment
		blendFunc add
		rgbGen identity
	}
}

// ---=== My Logo ===---

textures/ut4_kqn2/kq2_qbllogo
{
	qer_editorimage textures/ut4_kqn2/qbl_logo1.tga
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	cull none
//	q3map_surfacelight 100

	{
		map textures/ut4_kqn2/qbl_logo1.tga
		blendFunc blend
	}
}

// ---=== Holopanels ===---

textures/ut4_kqn2/kq2_hologo_b
{
	qer_editorimage textures/ut4_kqn2/fsk_holosign1/fsk_holosign_b1
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	q3map_surfacelight 10
	cull none
//	deformVertexes autosprite2

	{
		animMap 1.25 textures/ut4_kqn2/fsk_holosign1/fsk_holosign_b1.jpg textures/ut4_kqn2/fsk_holosign1/fsk_holosign_b1.jpg	textures/ut4_kqn2/fsk_holosign1/fsk_holosign_b2.jpg textures/ut4_kqn2/fsk_holosign1/fsk_holosign_b2.jpg textures/ut4_kqn2/fsk_holosign1/fsk_holosign_b2.jpg textures/ut4_kqn2/fsk_holosign1/fsk_holosign_b3.jpg textures/ut4_kqn2/fsk_holosign1/fsk_holosign_b7.jpg
		blendFunc GL_ONE GL_ONE
	}
}

textures/ut4_kqn2/kq2_hologo_r
{
	qer_editorimage textures/ut4_kqn2/fsk_holosign1/fsk_holosign_r1
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	q3map_surfacelight 10
	cull none
//	deformVertexes autosprite2

	{
		animMap 1.25 textures/ut4_kqn2/fsk_holosign1/fsk_holosign_r1.jpg textures/ut4_kqn2/fsk_holosign1/fsk_holosign_r1.jpg textures/ut4_kqn2/fsk_holosign1/fsk_holosign_r2.jpg textures/ut4_kqn2/fsk_holosign1/fsk_holosign_r2.jpg textures/ut4_kqn2/fsk_holosign1/fsk_holosign_r2.jpg textures/ut4_kqn2/fsk_holosign1/fsk_holosign_r3.jpg textures/ut4_kqn2/fsk_holosign1/fsk_holosign_r7.jpg
		blendFunc GL_ONE GL_ONE
	}
}

//Floor grate from filtration

textures/ut4_kqn2/kq2_floor_grate
{
	qer_editorimage textures/ut4_kqn2/grate_metal01d.tga
        surfaceparm trans
        surfaceparm nonsolid
        surfaceparm playerclip
	surfaceparm nodamage
	cull none
        nopicmip

	{
		map textures/ut4_kqn2/grate_metal01d.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/ut4_kqn2/kq2_floor_metal1
{
	qer_editorimage textures/ut4_kqn2/pr_metal091.jpg
	surfaceparm nodamage
	surfaceparm metalsteps
	{	
		map textures/ut4_kqn2/pr_metal091.jpg
	}
	{
               map $lightmap
                blendfunc filter
                rgbGen identity
        }
}

//Ladderclip from UrT

textures/ut4_kqn2/kq2_ladderclip
{
        qer_trans 0.40
        surfaceparm nolightmap
        surfaceparm nomarks
        surfaceparm nodraw
        surfaceparm nonsolid
        surfaceparm playerclip
        surfaceparm noimpact
        surfaceparm ladder
	surfaceparm trans
}

//glass 

textures/ut4_kqn2/kq2_glass_slip
{
	qer_editorimage textures/ut4_kqn2/shiny3.tga
	qer_trans 0.5
	surfaceparm lightfilter
	surfaceparm slick
	surfaceparm nodamage
	q3map_bounce .1	

	{
		map textures/ut4_kqn2/tinfx.tga
		tcGen environment
		blendfunc GL_ONE GL_ONE
	}

}

//glass: NOT slippery, no damage
textures/ut4_kqn2/kq2_glass_noslip
{
	qer_editorimage textures/ut4_kqn2/shiny3.tga
	qer_trans 0.5
	surfaceparm lightfilter
	surfaceparm nodamage
	q3map_bounce .1	

	{
		map textures/ut4_kqn2/tinfx.tga
		tcGen environment
		blendfunc GL_ONE GL_ONE
	}

}

//pass-thru glass

textures/ut4_kqn2/kq2_glass_pass
{
	qer_editorimage textures/ut4_kqn2/shiny3.tga
	qer_trans 0.2
	surfaceparm lightfilter
	surfaceparm nonsolid
	surfaceparm nodamage
	q3map_bounce .1	

	{
		map textures/ut4_kqn2/tinfx.tga
		tcGen environment
		blendfunc GL_ONE GL_ONE
	}

}

// NO DAMAGE 

//Lighting


//Ladderclip from UrT

textures/ut4_kqn2/kq2_ladderclip
{
        qer_trans 0.40
        surfaceparm nolightmap
        surfaceparm nomarks
        surfaceparm nodraw
        surfaceparm nonsolid
        surfaceparm playerclip
        surfaceparm noimpact
        surfaceparm ladder
	surfaceparm trans
}

// SOC textures

textures/ut4_kqn2/kq2_grate1b_trans
{
	qer_editorimage textures/ut4_kqn2/soc_grate1b.tga
	surfaceparm	metalsteps		
	cull none
	{
		map textures/ut4_kqn2/soc_grate1b.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
		rgbGen identity
	}
}

textures/ut4_kqn2/kq2_lig_05b1-2k
{
	qer_editorimage textures/ut4_kqn2/soc_032lig20ba.tga
	q3map_lightimage textures/ut4_kqn2/soc_032lig20b.blend.tga
	q3map_surfacelight 2000
	surfaceparm nomarks
	{
		map textures/ut4_kqn2/soc_032lig20ba.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut4_kqn2/soc_032lig20b.blend.tga
		blendfunc GL_ONE GL_ONE
//		rgbGen wave sawtooth .6 .1 0 7
	}
}

textures/ut4_kqn2/kq2_lig_05r1-2k
{
	qer_editorimage textures/ut4_kqn2/soc_032lig20ra.tga
	q3map_lightimage textures/ut4_kqn2/soc_032lig20r.blend.tga
	q3map_surfacelight 2000
	surfaceparm nomarks
	{
		map textures/ut4_kqn2/soc_032lig20ra.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut4_kqn2/soc_032lig20r.blend.tga
		blendfunc GL_ONE GL_ONE
//		rgbGen wave sawtooth .6 .1 0 7
	}
}

textures/ut4_kqn2/kq2_lig_128-03b1-2k
{
	qer_editorimage textures/ut4_kqn2/soc_octlig01ba.tga
	q3map_lightimage textures/ut4_kqn2/soc_sqrlig02b.blend.tga
	q3map_surfacelight 2000
	surfaceparm nomarks
	surfaceparm nodamage
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ut4_kqn2/soc_octlig01ba.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut4_kqn2/soc_sqrlig02b.blend.tga
		blendfunc GL_ONE GL_ONE
		rgbGen wave sin .3 .1 0 0.5
	}
}

textures/ut4_kqn2/kq2_lig_128-03r1-2k
{
	qer_editorimage textures/ut4_kqn2/soc_octlig01ra.tga
	q3map_lightimage textures/ut4_kqn2/soc_sqrlig02r.blend.tga
	q3map_surfacelight 2000
	surfaceparm nomarks
	surfaceparm nodamage
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ut4_kqn2/soc_octlig01ra.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut4_kqn2/soc_sqrlig02r.blend.tga
		blendfunc GL_ONE GL_ONE
		rgbGen wave sin .3 .1 0 0.5
	}
}


// SLIME!!!

textures/ut4_kqn2/kq2_slime
{
	qer_editorimage textures/ut4_kqn2/slime_grn.tga
	q3map_lightimage textures/ut4_kqn2/slime_grn.tga
	q3map_globaltexture
	q3map_lightsubdivide 32
	q3map_lightmapFilterRadius 0 8
	qer_trans 0.5

	surfaceparm noimpact
	surfaceparm slime
	surfaceparm nolightmap
	surfaceparm trans	

	q3map_surfacelight 500
	q3map_tessSize 64
	cull disable

	deformVertexes bulge 2 2 .5
	deformVertexes wave 32 sin 0 1 0.5 0.5
	{
		map textures/ut4_kqn2/slime_grn.tga
		tcMod turb 0.3 0.2 1 0.05
		tcMod scroll 0.02 0.02
	}
	{
		map textures/ut4_kqn2/slime_grnc.tga
		blendfunc add
		tcMod turb 0.2 0.1 1 0.05
		tcMod scale 0.5 0.5
		tcMod scroll 0.01 0.01
	}
	{
		map textures/ut4_kqn2/slime_grn.tga
		blendfunc GL_ZERO GL_SRC_COLOR
		tcMod turb 0.2 0.1 0.1 0.2
		tcMod scale 0.05 0.05
		tcMod scroll 0.001 0.001
	}	
}

textures/ut4_kqn2/kq2_slimecaulk
{
qer_editorimage textures/ut4_kqn2/slimecaulk.tga
qer_trans 0.5
surfaceparm nodraw
surfaceparm detail
surfaceparm noimpact
surfaceparm nonsolid
surfaceparm trans
surfaceparm slime
}

// slimefall

textures/ut4_kqn2/kq2_slimefall1
{
        surfaceparm alphashadow
        surfaceparm lightfilter
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm slime

	cull disable
	sort 6

	qer_nocarve
	qer_trans 0.4
	qer_editorimage textures/ut4_kqn2/slime_grn.tga

	deformVertexes bulge 4 4 .5
// jiggle amount
	deformVertexes wave 32 sin 0 1 0 .5

	{
		map textures/ut4_kqn2/slime_grn.tga
		blendfunc gl_dst_color gl_zero
		tcMod scroll -0.025 -0.5
		alphafunc ge128
	}
	{
		map textures/ut4_kqn2/slime_grnc.tga
		blendfunc gl_dst_color gl_one
		tcMod scroll 0.025 -0.6
		alphafunc ge128
	}
	{
		map textures/ut4_kqn2/slime_grn.tga
		blendfunc gl_dst_color gl_one
		tcMod scroll 0.025 -0.45
		alphafunc ge128
	}
	{
		map textures/ut4_kqn2/slime_grn.tga
		blendfunc filter
		tcMod scroll 0 -2.0
		alphafunc ge128
	}
	{
		map $lightmap 
		blendfunc gl_dst_color gl_one
		depthfunc equal
	}
}

//slime glow tube

textures/ut4_kqn2/kq2_slimetube1
{
        surfaceparm alphashadow
        surfaceparm lightfilter
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm slime

	cull disable
	sort 6

	qer_nocarve
//	qer_trans 0.7
	qer_editorimage textures/ut4_kqn2/slime_grn.tga
	q3map_surfacelight 100

	deformVertexes bulge 1 1 .5
// jiggle amount
	deformVertexes wave 32 sin 0 1 0 .5

	{
		map textures/ut4_kqn2/slime_grn.tga
		blendfunc gl_dst_color gl_zero
		tcMod scroll -0.025 -0.5
		alphafunc ge128
	}
	{
		map textures/ut4_kqn2/slime_grnc.tga
		blendfunc gl_dst_color gl_one
		tcMod scroll 0.025 -0.6
		alphafunc ge128
	}
	{
		map textures/ut4_kqn2/slime_grn.tga
		blendfunc gl_dst_color gl_one
		tcMod scroll 0.025 -0.45
		alphafunc ge128
	}
	{
		map textures/ut4_kqn2/slime_grn.tga
		blendfunc filter
		tcMod scroll 0 -2.0
		alphafunc ge128
	}
	{
		map $lightmap 
		blendfunc gl_dst_color gl_one
		depthfunc equal
	}
}